/*
 * Created on Jan 13, 2004
 */
package edu.umd.cs.daveho.eclipse.autocvs;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.IProjectNature;
import org.eclipse.core.runtime.CoreException;

/**
 * @author David Hovemeyer
 */
public class AutoCVSNature implements IProjectNature {
	private IProject project;
	
	public AutoCVSNature() {
		Debug.print("AutoCVSNature created");
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.resources.IProjectNature#configure()
	 */
	public void configure() throws CoreException {
		Debug.print("Setting AutoCVS nature for project");
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.resources.IProjectNature#deconfigure()
	 */
	public void deconfigure() throws CoreException {
		Debug.print("Unsetting AutoCVS nature for project");
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.resources.IProjectNature#getProject()
	 */
	public IProject getProject() {
		return project;
	}

	/* (non-Javadoc)
	 * @see org.eclipse.core.resources.IProjectNature#setProject(org.eclipse.core.resources.IProject)
	 */
	public void setProject(IProject project) {
		this.project = project;
	}

}
